imports:
    - { resource: config.yml }
    - { resource: parameters_test.yml }
    - { resource: security.yml }

framework:
    router:
        resource: "%kernel.root_dir%/config/routing_dev.yml"
        strict_requirements: true
    test: ~
    session:
        storage_id: session.storage.mock_file
        name: MOCKSESSION
    profiler:
        only_exceptions: false
        collect: false

web_profiler:
    toolbar: false
    intercept_redirects: false

monolog:
    channels: ['access']
    handlers:
        main:
            type:   stream
            path:   "%kernel.logs_dir%/%kernel.environment%.log"
            level:  debug
            formatter: monolog.formatter.track_id
            channels: [!event]
        console:
            type:   console
            bubble: false

swiftmailer:
    disable_delivery: true

doctrine:
    dbal:
        connections:
            ReadWrite:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.cache_dir%/db_read_write.sqlite"
                charset: utf8
            Backend:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.cache_dir%/db_backend.sqlite"
                charset: utf8
            ServiceProvider:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.cache_dir%/db_service_provider.sqlite"
                charset: utf8
            Webservice:
                driver:  pdo_sqlite
                user:    test
                path:    "%kernel.cache_dir%/db_webservice.sqlite"
                charset: utf8

# unit tests
liip_functional_test:
    cache_sqlite_db: true
    authentication:
        username: "hans@meiser.de"
        password: "Phpunit_42"

sso_webservice:
    feature_toggle:
        enable_application_access_control:
            enabled: true
            condition: "not request.headers.has('X-DISABLE-APPLICATION-ACCESS-CONTROL')"

security:
    firewalls:
        main:
            http_basic: ~
